Security Lab

Межсайтовый скриптинг и SQL-инъекция в MXChange

Дата публикации:13.12.2005
Всего просмотров:1248
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2005-3969
CVE-2005-3970
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: MXChange 0.x
Уязвимые версии: MXChange версии до 0.2.0-pre10-492

Описание:
Уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существуют из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.mxchange.org

Решение: Установите последнюю версию (0.2.0-pre10-492) с сайта производителя.

Источник:

Ссылки: MXChange Unspecified Cross-Site Scripting and SQL Injection Vulnerabilities